Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.gof
Class FBar

    java.lang.Object
      umontreal.iro.lecuyer.gof.FBar

    public class FBar

extends Object

WARNING: All methods in this class are deprecated, except the method `scan`. They now call the method `barF` of the appropriate class in package `probdist`, which use better approximations than the ones that were previously used in this class.

This class is similar to `FDist`, except that it provides static methods to compute or approximate the complementary distribution function of X, which we define as bar(F)(x) = P[X >= x], instead of F(x) = P[X <= x]. Note that with our definition of bar(F), one has bar(F)(x) = 1 - F(x) for continuous distributions and bar(F)(x) = 1 - F(x - 1) for discrete distributions over the integers. This is non-standard but we find it convenient.

For more details about the specific distributions, see the class `FDist`. When F(x) is very close to 1, these methods generally provide much more precise values of bar(F)(x) than using 1 - F(x) where F(x) is computed by a method from `FDist`.

Method Summary
`static double` | `andersonDarling(int n, double x)` Deprecated.
`static double` | `cramerVonMises(int n, double x)` Deprecated.
`static double` | `kolmogorovSmirnov(int n, double x)` Deprecated.
`static double` | `kolmogorovSmirnovPlus(int n, double x)` Deprecated.
`static double` | `scan(int n, double d, int m)` Return P[SN(d ) >= m], where SN(d ) is the scan statistic.
`static double` | `watsonG(int n, double x)` Deprecated.
`static double` | `watsonU(int n, double x)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### kolmogorovSmirnov

    @Deprecated
    public static double kolmogorovSmirnov(int n,
                                                      double x)

  Deprecated.

  Use `KolmogorovSmirnovDistQuick.barF``(n, x)` instead. Returns P[Dn > x], where Dn is the Kolmogorov-Smirnov statistic.

  Parameters:
    `n` - sample size
    `x` - Kolmogorov-Smirnov statistic
  Returns:
    the complementary distribution function of the statistic evaluated at `x`

### kolmogorovSmirnovPlus

    @Deprecated
    public static double kolmogorovSmirnovPlus(int n,
                                                          double x)

  Deprecated.

  Use `KolmogorovSmirnovPlusDist.barF``(n, x)` instead. Returns P[Dn+ > x], where Dn+ is the Kolmogorov-Smirnov+ statistic.

  Parameters:
    `n` - sample size
    `x` - Kolmogorov-Smirnov+ statistic
  Returns:
    the complementary distribution function of the statistic evaluated at `x`

### cramerVonMises

    @Deprecated
    public static double cramerVonMises(int n,
                                                   double x)

  Deprecated.

  Use `CramerVonMisesDist.barF``(n, x)` instead. Returns P[Wn2 > x], where Wn2 is the Cramér-von Mises statistic.

  Parameters:
    `n` - sample size
    `x` - Cramér-von Mises statistic
  Returns:
    the complementary distribution function of the statistic evaluated at `x`

### watsonU

    @Deprecated
    public static double watsonU(int n,
                                            double x)

  Deprecated.

  Use `WatsonUDist.barF``(n, x)` instead. Returns P[Un2 > x], where Un2 is the Watson U statistic.

  Parameters:
    `n` - sample size
    `x` - Watson Un2 statistic
  Returns:
    the complementary distribution function of the statistic evaluated at `x`

### watsonG

    @Deprecated
    public static double watsonG(int n,
                                            double x)

  Deprecated.

  Use `WatsonGDist.barF``(n, x)` instead. Returns P[Gn > x], where Gn is the Watson G statistic.

  Parameters:
    `n` - sample size
    `x` - Watson G statistic
  Returns:
    the complementary distribution function of the statistic evaluated at `x`

### andersonDarling

    @Deprecated
    public static double andersonDarling(int n,
                                                    double x)

  Deprecated.

  Use `AndersonDarlingDistQuick.barF``(n, x)` instead. Returns P[An2 > x], where An2 is the Anderson-Darling statistic.

  Parameters:
    `n` - sample size
    `x` - Anderson-Darling statistic
  Returns:
    the complementary distribution function of the statistic evaluated at `x`

### scan

    public static double scan(int n,
                              double d,
                              int m)

  Return P[SN(d ) >= m], where SN(d ) is the scan statistic. It is defined as

  SN(d )= sup0 <= y <= 1-dη[y, y + d],

  where d is a constant in (0, 1), η[y, y + d] is the number of observations falling inside the interval [y, y + d], from a sample of N i.i.d. U(0, 1) random variables. The approximation returned by this function is generally good when it is close to 0, but is not very reliable when it exceeds, say, 0.4. Restrictions: N >= 2 and d <= 1/2.

  Parameters:
    `n` - sample size ( >= 2)
    `d` - length of the test interval (∈(0, 1))
    `m` - scan statistic
  Returns:
    the complementary distribution function of the statistic evaluated at `m`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.